var CHK_MessageList = {};

msgMap.messageListTopTitle = {ja:"プッシュメッセージ一覧", ko:"Push Message List", en:"Push Message List"};
msgMap.messageListHeaderTitle = {ja:"メッセージ一覧", ko:"Message List", en:"Message List"};
msgMap.messageListEmptyTitle = {ja:"該当する作業がありません。", ko:"There is no applicable work", en:"There is no applicable work"};

CHK_MessageList.init = function() {
    $("#footer").load("main-footer.html", function() {
        CHK_Footer.activeDashboardBottomNav();
    });
    //CHK.pushMessageList = CHK_MessageList.dummyMessageList();
    CHK_MessageList.createMessageList(CHK.pushMessageList);
}

CHK_MessageList.goBack = function() {
    history.back();
}

CHK_MessageList.refresh = function() {
    CHK_MessageList.init();
}

CHK_MessageList.createMessageList = function(messageList) {
    $('#messageTable').empty();
    if (typeof messageList !== 'object') {
        $('#messageList .not-found').removeClass('d-none');
        return;
    }
    $('#messageList .not-found').addClass('d-none');
    for (var i = 0; i < messageList.length; i++) {
        let message = messageList[i];

        var mTitle = message.title;
        var mDate = setOperationDate(message.startDate);
        var mSubtitle = message.subTitle;
        var unread = message.unread;
		var messageLi = $('<li class="item list-unstyled rounded border mb-2"/>');
        if (unread) {
            messageLi.addClass('unread');
        }
        var messageA = $('<a class="d-block px-3 py-2 text-decoration-none text-dark"/>');
        messageA.attr('href', 'message-detail.html');
        var titleDiv = $('<div class="title">' + mTitle + '</div>');
        var subTitleMainDiv = $('<div class="sub-title-wrap"></div>');
        var dateDiv = $('<div class="fs-8 text-secondary mr-2"><div class="data">' + mDate + '</div></div>');
		var subTitleDiv = $('<div class="sub-title">' + mSubtitle + '</div>');
        subTitleMainDiv.append(dateDiv);
        subTitleMainDiv.append(subTitleDiv);
        var infoI = $('<i class="fas fa-chevron-right fs-12"></i>');
        messageA.append(titleDiv);
        messageA.append(subTitleMainDiv);
        messageA.append(infoI);
        messageLi.append(messageA);
		$('#messageTable').append(messageLi);
	}
};

//dummy messages
CHK_MessageList.dummyMessageList = function() {
    var messes = [];
    messes.push({
            title: 'メッセージ内容が入ります。',
            startDate: '2022/07/06 14:14',
            subTitle: '作業名が入ります。',
            unread: false,
        });
    messes.push({
        title: 'メッセージ内容が入ります。メッセージ内容が入ります。メッセージ内容が入ります。メッセージ内容が入ります。メッセージ内容が入ります。メッセージ内容が入ります。メッセージ内容が入ります。',
        startDate: 'xxxxxxxxxxxxxxxxxxxxxxxxxx',
        subTitle: '作業名が入ります。作業名が入ります。作業名が入ります。作業名が入ります。作業名が入ります。作業名が入ります。作業名が入ります。作業名が入ります。',
        unread: true,
    });
    messes.push({
        title: 'メッセージ内容が入ります。',
        startDate: '2022/07/07 14:14',
        subTitle: '作業名が入ります。',
        unread: false,
    });
    return messes;
}
